/* AFHS analysis example 1 - weighted descriptive estimation*/

/* Reading female response data */
/* Recode value 99998 (Does Not Apply) of numeric variables to extended missing value .N to facilitate analysis*/
/* Recode selected female response data binary variables to 0 and 1*/
libname final 'YOUR_DIRECTORY';
data datF_wt;
     set final.afhs_female_recoded;
	 array allvars  _numeric_;
	 do over allvars;
	    if allvars = 99998 then allvars = .N;
	end;

	     if SecFemA_ONOWN = 5 then SecFemA_ONOWN = 0;
         if SecFemF_MEDTST12 = 5 then SecFemF_MEDTST12 = 0;
         if SecFemJ_SMK100 = 5 then SecFemJ_SMK100 = 0;
RUN;



/* Weighted estimates for female response data variables in module 1*/
proc surveymeans data=datf_wt VARMETHOD=BOOTSTRAP(CENTER=FULLSAMPLE) ;
weight PS_Wgt_Female1_trimmed;
REPWEIGHT PS_Wgt_Female1_trimmed_BS_1-PS_Wgt_Female1_trimmed_BS_200;
var SecFemA_ONOWN;
run; 

/* Weighted estimates for female response data variables in module 2*/
proc surveymeans data=datf_wt VARMETHOD=BOOTSTRAP(CENTER=FULLSAMPLE) ;
weight PS_Wgt_Female12_trimmed;
REPWEIGHT PS_Wgt_Female12_trimmed_BS_1-PS_Wgt_Female12_trimmed_BS_200;
var SecFemF_MEDTST12;
run; 


/* Weighted estimates for female response data variables in module 3*/
proc surveymeans data=datf_wt VARMETHOD=BOOTSTRAP(CENTER=FULLSAMPLE) ;
weight PS_Wgt_Female123_trimmed;
REPWEIGHT PS_Wgt_Female123_trimmed_BS_1-PS_Wgt_Female123_trimmed_BS_200;
var SecFemJ_SMK100;
run; 


/* Reading male response data*/
/* Recode value 99998 (Does Not Apply) of numeric variables to extended missing value .N to facilitate analysis*/
/* Recode selected male response data binary variables to 0 and 1*/


libname final 'YOUR_DIRECTORY';

data datM_wt;
     set final.afhs_male_recoded;
	 array allvars  _numeric_;
	 do over allvars;
	    if allvars = 99998 then allvars = .N;
	end;
         if SecMaleA_ONOWN = 5 then SecMaleA_ONOWN = 0;
         if SecMaleF_OTPREG = 5 then SecMaleF_OTPREG = 0;
         if SecMaleK_SMK100 = 5 then SecMaleK_SMK100 = 0;
RUN;


/* Weighted estimates for male response data variables in module 1*/
proc surveymeans data=datM_wt VARMETHOD=BOOTSTRAP(CENTER=FULLSAMPLE) ;
weight PS_Wgt_Male1_trimmed;
REPWEIGHT PS_Wgt_Male1_trimmed_BS_1-PS_Wgt_Male1_trimmed_BS_200;
var SecMaleA_ONOWN;
run; 

/* Weighted estimates for male response data variables in module 2*/
proc surveymeans data=datM_wt VARMETHOD=BOOTSTRAP(CENTER=FULLSAMPLE) ;
weight PS_Wgt_Male12_trimmed;
REPWEIGHT PS_Wgt_Male12_trimmed_BS_1-PS_Wgt_Male12_trimmed_BS_200;
var SecMaleF_OTPREG;
run; 

/* Weighted estimates for male response data variables in module 3*/
proc surveymeans data=datM_wt VARMETHOD=BOOTSTRAP(CENTER=FULLSAMPLE) ;
weight PS_Wgt_Male123_trimmed;
REPWEIGHT PS_Wgt_Male123_trimmed_BS_1-PS_Wgt_Male123_trimmed_BS_200;
var SecMaleK_SMK100;
run; 


